import javax.swing.*;

class f1 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff=((x[0]*x[0]*(Math.sin(x[1])*Math.cos(x[1])))+ ((0.1-x[0])*x[0]*Math.sin(x[1])));
return -ff; //minimum de?il maxsimum istendi?inden - ile çarpty'k
}
}


public class problem1
{
     public static void main (String args[])  
     {
	 String s="kök tahmin de?erlerini arada bir bo?luk by'rakarak giriniz: ";
     double [] x0=opt.verigir(s);
     f1 f_x=new f1();
     double [] r1= opt.endikyamac(f_x,x0);
     s=" çözüm seti  : \n"+Matrix.toStringT(r1);
     String s2="En dik yamac lineer olmayan çok de?i?kenli fonksiyon optimizasyonu:";
     JOptionPane.showMessageDialog(null,s,s2,JOptionPane.PLAIN_MESSAGE);
     System.exit(0);
     } 
}